[arch-commits] Commit in util-linux-ng/trunk (PKGBUILD)

Allan McRae allan at archlinux.org
Sat Aug 16 23:08:58 EDT 2008


    Date: Saturday, August 16, 2008 @ 23:08:57
  Author: allan
Revision: 9055

upgpkg: util-linux-ng 2.14-1
    ncurses rebuild

Modified:
  util-linux-ng/trunk/PKGBUILD

----------+
 PKGBUILD |   17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-17 03:08:46 UTC (rev 9054)
+++ PKGBUILD	2008-08-17 03:08:57 UTC (rev 9055)
@@ -1,8 +1,8 @@
 # $Id$
 # Maintainer: judd <jvinet at zeroflux.org>
 pkgname=util-linux-ng
-pkgver=2.13.0.1
-pkgrel=2
+pkgver=2.14
+pkgrel=1
 pkgdesc="Miscellaneous system utilities for Linux"
 arch=('i686' 'x86_64')
 groups=('base')
@@ -11,10 +11,10 @@
 conflicts=('linux32' 'util-linux')
 provides=('linux32' 'util-linux')
 license=('GPL')
-source=(ftp://ftp.kernel.org/pub/linux/utils/${pkgname}/v2.13/${pkgname}-${pkgver}.tar.bz2
-	cryptoloop-support.patch)
-md5sums=('48bcb80babcf4d307c190871955f8025'
-         '3f3c45c55ed7ec34f7ebaebd0b3e0029')
+source=(ftp://ftp.kernel.org/pub/linux/utils/${pkgname}/v2.14/${pkgname}-${pkgver}.tar.bz2
+	http://loop-aes.sourceforge.net/updates/util-linux-ng-2.14-20080624.diff.bz2)
+md5sums=('23f227da49df36f33fe47e917e332cd8'
+         'e76c888bd140d7bd5bbd5f5b098bc1e7')
 
 # The cryptoloop-support.patch comes from the boys at Rock Linux
 #   (http://www.rocklinux.net/packages/util-linux.html)
@@ -24,9 +24,9 @@
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
-  ./autogen.sh
+  #./autogen.sh
   # cryptoloop support
-  patch -Np1 -i ${startdir}/src/cryptoloop-support.patch || return 1
+  patch -Np1 -i ${startdir}/src/util-linux-ng-2.14-20080624.diff || return 1
   sed -e 's%etc/adjtime%var/lib/hwclock/adjtime%' -i hwclock/hwclock.c 
   mkdir -p ${startdir}/pkg/var/lib/hwclock
   ./configure --enable-arch --enable-write --enable-raw --disable-wall --enable-rdev
@@ -35,4 +35,5 @@
   rm -f ${startdir}/pkg/bin/kill
   rm -f ${startdir}/pkg/usr/share/man/man1/kill.1
   rm -f ${startdir}/pkg/usr/share/man/man5/nfs.5
+  rm -f ${pkgdir}/usr/share/info/dir
 }




More information about the arch-commits mailing list